{% extends 'base.html.twig' %}

{% block title %}Pedidos{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    table { width: 100%; border-collapse: collapse; }
    th, td { border: 1px solid #ddd; padding: 8px; text-align: left; }
    th { background-color: #f2f2f2; }
</style>

<div class="example-wrapper">
    <h1>Pedidos</h1>

    <table>
        <thead>
            <tr>
                <th>ID</th>
                <th>Customer Name</th>
                <th>Order Date</th>
            </tr>
        </thead>
        <tbody>
            {% for pedido in pedidos %}
                <tr>
                    <td>{{ pedido.id }}</td>
                    <td>{{ pedido.customerName }}</td>
                    <td>{{ pedido.orderDate ? pedido.orderDate|date('Y-m-d') : '' }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}